#!/usr/bin/perl
############################################################################################
# AnyVote
# $version = 1.31;
#
# Released : 14th June 1999
#
# Written by Jonathan Cogley
# Copyright 1998. THYCOTIC WEBDESIGN  
# http://www.thycotic.com
# E-Mail : info@thycotic.com
# {ק ګKQT
# http://xxoo.to
############################################################################################
# This script may not be sold or distributed in any other form 
# without the permission of Thycotic WebDesign.
#
# Please note that the script is supplied as is under the Shareware agreement. You are 
# not permitted to customise the actual code without permission by Thycotic WebDesign.
# If you wish to customise Anyvote further then you will have to contact us to purchase a 
# commercial license.
###########################################################################################
###########################################################################################
#
# READ THIS!
#
# This file contains all the configuration information and installation instructions for
# Anyvote. Simply work your way down this file, reading all the instructions as you go! :)
# NOTE: The Changes History is still contained in the anyvote.cgi file.
#
###########################################################################################
###########################################################################################
#
# DESCRIPTION
#
# This script uses server side includes to present the viewer with a choice of options for
# which to vote. If their favourite is not there, they can easily 'suggest' it be added.
# 'Suggestions' can easily be added to the voting pool using the admin functions of the
# script. This script is ideal for voting on a topic such as your favourite music band 
# - the script was originally written for that exact purpose :) - where there are limitless
# options and it must be easy to allow the visitor to suggest new options.
#
###########################################################################################
#
# INSTALLATION INSTRUCTIONS
#
# Okay, so now to get this script working? (in 4 easy steps)
#
# 1. Upload all 7 of the files in ASCII mode to their own directory
#
# 2. Set the File Permissions: 
#      vote.dat    (CHMOD 777)    - Voting data file - must be writeable 
#      waiting.dat (CHMOD 777)    - Voting waiting data file - must be writeable
#      reject.dat  (CHMOD 777)    - Optional (stores rejected suggestions if you opt to allow this)
#      voteip.dat  (CHMOD 777)    - IP tracking file - must be writeable 
#      voteip.log  (CHMOD 777)    - Vote logging file (stores who is voting) - must be writeable
#      anyvote.cgi (CHMOD 755)    - the script must be executable
#      config.cgi  (CHMOD 755)    - this will prevent anyone reading your configuration settings! :)
#	 
# 3. Edit the following configuration variables in config.cgi (this file)
#        - Ensure the top line of the script points to Perl on your server 
#          e.g. #!/usr/bin/perl
#	     You can use 'whereis perl' at the telnet prompt to find perl on your server	
#
###########################################################################################

###########################
# Configuration variables #
###########################

######## $SCRIPTURL VTcgi| 
$SCRIPTURL = "http://yourhome/anyvote/anyvote.cgi";

######## $VOTEDATA T vote.dat |xs
$VOTEDATA = "/home/vcd/www/anyvote/vote.dat";

######## Ƨ벼?
######## (]w; 1=yes, 0=no)
$LOGIP = 1;
######## $VOTEIP T voteip.dat |xs벼 ip m
$VOTEIP = "/home/vcd/www/anyvote/voteip.dat";
######## Stops last "however many" people from voting again - I recommend 10?
$IPBLOCKNUM = 10; 

######## $WAITING  T waiting.dat |xs˦WU
$WAITING = "/home/vcd/www/anyvote/waiting.dat";


####### O_ݭnLkѥ[WU? (1 = yes, 0 = no)
####### This may help potential suggesters to see what has already been rejected. It can
####### also be quite amusing for visitors if some suggestions are outrageous for your topic! :)
$REJECT = 1;
#File to store rejection list in ...
$REJFILE = "/home/vcd/www/anyvote/reject.dat";

######## $USELOGGING O_ݭnҦ(logs vote,ip address,hostname)? (1=yes,0=no)
$USELOGGING = 1;
#File to store logging in ...
$VOTELOG = "/home/vcd/www/anyvote/voteip.log";


####### $ADMIN ޲zKX 
####### ѥHUmiJȤߺ޲zﲼ:
####### http://yourhome/anyvote/anyvote.cgi?KX
$ADMIN = "vote";


####### $RETURNURL 粒^m
$RETURNURL = "http://yourhome";


####### $RETURNTEXT s^mr $RETURNURL
$RETURNTEXT = "^ ...";

####### Wsi}覡
####### Ҧp] "_top" NWsܥt@s.
####### YzSnQk,ĳOťթ½\]wyk
####### on HTML frames to learn more ...
$TARGETTAG = "";


############################################################################################
#
# 4. ̫, ݨ SSI bzD
#     e.g.
#
#      <!--#exec cgi="vote/anyvote.cgi"-->
#
#     Note: q`ݦbWɦW .shtml ~SSI`B@
#           
#
#
# There are some further OPTIONAL configuration variables which can be
# found just below this installation guide.
#
############################################################################################
#
# If you like this script, please register it! Only $10/10 to get a registered version!
# It will encourage us to produce more scripts like Anyvote!
# http://www.thycotic.com/scripts
# E-Mail: info@thycotic.com
#
############################################################################################
#             $BODYTAG defines the body tag for generated pages - duh! ;)		
#             $DEFAULT is the top line of the vote options
#             $USEIMAGES determines whether images will be used when showing top ten
#             $USE_BAR determines whether the bar image will be used to show bar graph
#             $MAX_BAR_LENGTH gives the maximum length of a bar (ie.100%) for the bar graph
#             $IMAGEPATH is the path to the images for the top ten
#              images should be in the form of ball1.gif, ball2.gif -> ball10.gif
#             $MAXLENGTH sets the number of characters a user may enter when suggesting
#             $SUGGEST_STARTVOTE gives the start number of votes for a suggested item
#             $MANUALADD_STARTVOTE gives the start number of votes for an Admin added item
#
############################################################################################
# The configuration below is optional and not essential
############################################################################################

#I]m
$BODYTAG = "<body bgcolor=000000 background=lace9_b.gif bgproperties=fixed link=ccffdd vlink=ffffff text=ffffff>";

#Default option for drop-down list
$DEFAULT = "ܶWH𰸹!";

#\޲zRԿW?
#(this can be dangerous if you accidentally delete an item from your current list; 1=yes, 0=no)
$REMOVEFROMMAIN = 1;

#βyιϥܧ@Ʀ? 1=yes, 0=no
$USEIMAGES = 1;
#ϥΪϰƦ? 1=yes, 0=no
$USE_BAR = 1;
$MAX_BAR_LENGTH = 100; # this is the value in pixels of an item having 100% of the votes

#Ʀϥܸ|
$IMAGEPATH = "http://yourhome/anyvote/images";

#ﰸֻyr (ĳ 40-50)
$MAXLENGTH = 40;

#The default number of votes new voting items should start with
#when being added to the vote list from the Admin screen
#(I would recommend 1 for $SUGGEST_STARTVOTE since someone suggested it)
$SUGGEST_STARTVOTE = 1;
#(I would recommend 0 for $MANUALADD_STARTVOTE since the Admin person added it)
$MANUALADD_STARTVOTE = 0;


# DO NOT REMOVE OR CHANGE THIS NEXT LINE!
# The 1 tells the PERL interpreter that it has successfully loaded the config options.
1;
